Bug 116930 - Cannot enter umlauts from keyboard with utf-8 locales
Cannot enter umlauts from keyboard with utf-8 locales
Product: Fedora
Classification: Fedora
Component: jpilot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2004-02-26 10:11 EST by Stefan Axelsson
Modified: 2013-07-02 18:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-14 08:53:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Axelsson 2004-02-26 10:11:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
When selecting a utf-8 locale (in my case en_GB.UTF-8 and a Swedish
keyboard) inputing any extended utf-8 (two byte character) in any
jpilot text entry field results in a two character sequence
interpreted as latin 1, e.g. a-umlaut becomes a two character
'garbage' sequence. Jpilot then drops these garbage characters when
formatting the entry (and correctly informs the user that it's doing so).

Jpilot correctly displays Palm-latin1 characters that were input on
the Palm. This bug is triggered irrespective of any char set
conversion setting in the jpilot preferences.

This bug has been *fixed* in the current CVS version of jpilot, 0.99.7. 

This bug is probably similar to bug #90098 filed on redhat 9. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Chose utf-8 locale with keyboard that generates 'two byte' sequences.
2.Open a new appointment in jpilot.
3.Set the preferences to convert from 'host utf-8 to palm windows
1252' character set.
4.Input any 'two byte' character into the appointment text field.

Actual Results:  Two 'garbage' characters appear instead of the glyph
of the 'two byte' character that was input. Palm pilot then says that
the character has no equivalent in CP 1252 (which the original
character actually has) and drops the character.

Expected Results:  The character should have been accepted into the
appointment and shown up as it does in any other fedora text input
field, such as the command line.

Additional info:

As previously mentioned: this bug has been fixed in the CVS version of
jpilot 0.99.7.

As the default locales for Fedora (RedHat) are now utf-8 and I cannot
write appointments in my native language without these umlauted
characters, this bug really ought to be fixed.
Comment 1 Jindrich Novy 2004-09-14 08:53:10 EDT
Hi Stefan,

as you said, this bug was already fixed and jpilot-0.99.7 is present
from FC2. If you want you can upgrade your jpilot with using for
instance yum to the latest 0.99.7-2 if you still use FC1.


Note You need to log in before you can comment on or make changes to this bug.